| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::PendingReady Class Reference
Utililty classes

The PendingReady class represents the features requested and the reply to a request for an object to become ready. More...

`#include <TelepathyQt/PendingReady>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- ~PendingReady ()
- DBusProxyPtr proxy () const
- Features requestedFeatures () const

## Detailed Description

The PendingReady class represents the features requested and the reply to a request for an object to become ready.

Instances of this class cannot be constructed directly; the only way to get one is via ReadyObject::becomeReady() or a DBusProxyFactory subclass.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingReady::~PendingReady | ( |  | ) |

Class destructor.

## Member Function Documentation

DBusProxyPtr Tp::PendingReady::proxy | ( |  | ) | const

Return the proxy that should become ready.

Returns:
  A pointer to the DBusProxy object if the operation was created by a proxy object or a DBusProxyFactory, otherwise a null DBusProxyPtr.

Features Tp::PendingReady::requestedFeatures | ( |  | ) | const

Return the features that were requested to become ready on the object.

Returns:
  The requested features as a set of Feature objects.